Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mapping.data
Class JobClassesTable

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Integer,JobClass>
              mapping.data.JobClassesTable

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Integer,JobClass>

    public class JobClassesTable

extends java.util.Hashtable<java.lang.Integer,JobClass>
implements java.io.Serializable

This class represents the collection of job classes. It was implemented as a Hashtable. This class is thread safe.

Author:
  Majd Kokaly
See Also:
  Serialized Form

Constructor Summary
`JobClassesTable()` Default constructor
`JobClassesTable(int initialCapacity)`

Method Summary
`void` | `addJobClass(double arrivingRate, long iterations)` This method is used to add Job Classes objects.
`void` | `addJobClass(JobClass jobClass)` This method is used to add Job Classes objects.
`void` | `printAll()`
`void` | `removeJobClass(int id)` This method removes the job class with id if exists and reorder the rest of job classes.

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, remove, size, toString, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobClassesTable

    public JobClassesTable()

  Default constructor

### JobClassesTable

    public JobClassesTable(int initialCapacity)

Parameters:
  `initialCapacity` - expected number of job classes

Method Detail

### addJobClass

    public void addJobClass(JobClass jobClass)

  This method is used to add Job Classes objects.

  Parameters:
    `jobClass` - the object to be added

### addJobClass

    public void addJobClass(double arrivingRate,
                            long iterations)

  This method is used to add Job Classes objects.

  Parameters:
    `arrivingRate` - the arrival rate of the object to be created.
    `iterations` - the iterations of the object to be created.

### printAll

    public void printAll()

### removeJobClass

    public void removeJobClass(int id)

  This method removes the job class with id if exists and reorder the rest of job classes. The IDs of the job classes are always between 1 - N without any missing numbers.

  Parameters:
    `id` - the id of the job classes to be deleted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD